Please unblock stuck global rename Artix Kreiger 2 to Artix Krieger 2
Closed, ResolvedPublic

Description

Stuck on wikidata.beta since March 14. I have access to deployment-prep so I'll try to do a bit of debuging myself based on https://wikitech.wikimedia.org/wiki/Stuck_global_renames (log entry).

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
maurelio@deployment-tin:~$ mwscript showJobs.php --wiki=wikidatawiki
[Wed Apr 18 17:05:25 2018] [hphp] [12656:7f43a4015200:0:000001] []
Notice: Undefined index: channels in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 340
[Wed Apr 18 17:05:25 2018] [hphp] [12656:7f43a4015200:0:000002] []
Warning: Invalid argument supplied for foreach() in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 343
[Wed Apr 18 17:05:25 2018] [hphp] [12656:7f43a4015200:0:000003] []
Notice: Undefined index: channels in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 340
[Wed Apr 18 17:05:25 2018] [hphp] [12656:7f43a4015200:0:000004] []
Warning: Invalid argument supplied for foreach() in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 343
0

Some data can be found at: https://logstash-beta.wmflabs.org/app/kibana#/doc/logstash-*/logstash-2018.04.14/mediawiki?id=AWLGLBIrf_wiEkeAH5GV

[3620150fb0b81829440135ef] /rpc/RunJobs.php?wiki=wikidatawiki&type=LocalRenameUserJob&maxtime=30&maxmem=300M   ErrorException from line 0 of : PHP Warning: unable to connect to unix:///var/run/nutcracker/redis_eqiad.sock [2]: No such file or directory

PHP Warning: unable to connect to unix:///var/run/nutcracker/redis_eqiad.sock [2]: No such file or directory

#0 [internal function]: MWExceptionHandler::handleError(integer, string, string, integer, array, array)
#1 [internal function]: Redis->doConnect(string, integer, integer, string, integer, boolean)
#2 /srv/mediawiki/php-master/includes/libs/redis/RedisConnectionPool.php(238): Redis->connect(string, integer, integer)
#3 /srv/mediawiki/php-master/includes/libs/objectcache/RedisBagOStuff.php(357): RedisConnectionPool->getConnection(string, Monolog\Logger)
#4 /srv/mediawiki/php-master/includes/libs/objectcache/RedisBagOStuff.php(94): RedisBagOStuff->getConnection(string)
#5 /srv/mediawiki/php-master/includes/libs/objectcache/CachedBagOStuff.php(56): RedisBagOStuff->doGet(string, integer)
#6 /srv/mediawiki/php-master/includes/libs/objectcache/BagOStuff.php(185): CachedBagOStuff->doGet(string, integer)
#7 /srv/mediawiki/php-master/includes/session/SessionManager.php(939): BagOStuff->get(string)
#8 /srv/mediawiki/php-master/includes/session/SessionInfo.php(150): MediaWiki\Session\SessionManager->generateSessionId()
#9 /srv/mediawiki/php-master/includes/session/SessionProvider.php(176): MediaWiki\Session\SessionInfo->__construct(integer, array)
#10 /srv/mediawiki/php-master/includes/session/SessionManager.php(270): MediaWiki\Session\SessionProvider->newSessionInfo(NULL)
#11 /srv/mediawiki/php-master/includes/session/SessionManager.php(244): MediaWiki\Session\SessionManager->getEmptySessionInternal(WebRequest)
#12 /srv/mediawiki/php-master/includes/session/SessionManager.php(194): MediaWiki\Session\SessionManager->getEmptySession(WebRequest)
#13 /srv/mediawiki/php-master/includes/WebRequest.php(736): MediaWiki\Session\SessionManager->getSessionForRequest(WebRequest)
#14 /srv/mediawiki/php-master/includes/session/SessionManager.php(130): WebRequest->getSession()
#15 /srv/mediawiki/php-master/includes/Setup.php(848): MediaWiki\Session\SessionManager::getGlobalSession()
#16 /srv/mediawiki/php-master/includes/WebStart.php(90): include(string)
#17 /srv/mediawiki/rpc/RunJobs.php(31): include(string)
#18 {main}

Fixed while running:

maurelio@deployment-tin:~$ mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=wikidatawiki --logwiki=loginwiki 'Artix Kreiger 2' 'Artix Krieger 2'
[Wed Apr 18 17:59:49 2018] [hphp] [6284:7fc40bd51200:0:000001] []
Notice: Undefined index: channels in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 340
[Wed Apr 18 17:59:49 2018] [hphp] [6284:7fc40bd51200:0:000002] []
Warning: Invalid argument supplied for foreach() in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 343
[Wed Apr 18 17:59:49 2018] [hphp] [6284:7fc40bd51200:0:000003] []
Notice: Undefined index: channels in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 340
[Wed Apr 18 17:59:49 2018] [hphp] [6284:7fc40bd51200:0:000004] []
Warning: Invalid argument supplied for foreach() in /srv/mediawiki-staging/php-master/includes/objectcache/ObjectCache.php on line 343
Using Artix Kreiger as the renamer.
from: Artix Kreiger 2
to: Artix Krieger 2
renamer: Artix Kreiger
movepages: 1
suppressredirects: 1
reason:
ignorestatus:

Starting to run job...
Done!

As you can see, though, there are a lot of errors popping out there.

Mentioned in SAL (#wikimedia-releng) [2018-04-18T18:03:12Z] <hauskatze> maurelio@deployment-tin:~$ mwscript extensions/CentralAuth/maintenance/fixStuckGlobalRename.php --wiki=wikidatawiki --logwiki=loginwiki 'Artix Kreiger 2' 'Artix Krieger 2' - T192471

EddieGP closed this task as Resolved.Apr 19 2018, 8:10 AM
EddieGP claimed this task.
EddieGP added a subscriber: EddieGP.

Resolved per the comments above. The errors is just logspam, that's tracked in the parent task.

MarcoAurelio moved this task from Backlog to Closed on the GlobalRename board.Sep 1 2018, 12:15 PM